Security Enhanced Linux Reference Policy

# Layer: system

## Module: hotplug

Interfaces

### Description:

Policy for hotplug system, for supporting the connection and disconnection of devices at runtime.

### Interfaces:

hotplug_domtrans( domain )

##### Summary

Execute hotplug with a domain transition.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

hotplug_dontaudit_search_config( domain )

##### Summary

Do not audit attempts to search the hotplug configuration directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

hotplug_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to inherit hotplug file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

hotplug_exec( domain )

##### Summary

Execute hotplug in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hotplug_getattr_config_dirs( domain )

##### Summary

Get the attributes of the hotplug configuration directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hotplug_read_config( domain )

##### Summary

Read the configuration files for hotplug.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hotplug_search_config( domain )

##### Summary

Search the hotplug configuration directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hotplug_search_pids( domain )

##### Summary

Search the hotplug PIDs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hotplug_use_fds( domain )

##### Summary

Inherit and use hotplug file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return